import request from '@/utils/request'

// 查询护理任务打卡列表
export function listClocks(query) {
  return request({
    url: '/care/clocks/list',
    method: 'get',
    params: query
  })
}

// 查询护理任务打卡详细
export function getClocks(clockId) {
  return request({
    url: '/care/clocks/' + clockId,
    method: 'get'
  })
}

// 新增护理任务打卡
export function addClocks(data) {
  return request({
    url: '/care/clocks',
    method: 'post',
    data: data
  })
}

// 修改护理任务打卡
export function updateClocks(data) {
  return request({
    url: '/care/clocks',
    method: 'put',
    data: data
  })
}

// 删除护理任务打卡
export function delClocks(clockId) {
  return request({
    url: '/care/clocks/' + clockId,
    method: 'delete'
  })
}

// 删除护理任务打卡
export function removeImg(address) {
  return request({
    url: '/care/clocks/removeImg?address='+address,
    method: 'get'
  })
}
